Table of Contents

Class: IListeningPort | Twisted-0.19.0/twisted/internet/interfaces.py
--- | ---
A listening port.
Base Classes |
--- | ---
Interface
Methods |
--- | ---
getHost startListening stopListening
| getHost
    getHost ( self )
### Get the host that this port is listening for. #### Returns: a tuple of (proto_type, ...), where proto_type will be a string such as `INET`, `SSL`, `UNIX`. The rest of the tuple will be identifying information about the port.
| startListening
    startListening ( self )
Start listening on this port.
| stopListening
    stopListening ( self )
Stop listening on this port.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0